com.holonplatform.vaadin.components.builders

## Interface ComponentContainerConfigurator<B extends ComponentContainerConfigurator<B>>

- Type Parameters:
    `B` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<B>
  All Known Subinterfaces:
    BaseLayoutBuilder<C,B>, ClickableLayoutConfigurator<B>, ClickableLayoutConfigurator.BaseClickableLayoutConfigurator, ComponentContainerBuilder<C,B>, CssLayoutBuilder, FormLayoutBuilder, GridLayoutBuilder, HorizontalLayoutBuilder, LayoutBuilder<C,B>, LayoutConfigurator<B>, LayoutConfigurator.BaseLayoutConfigurator, OrderedLayoutBuilder<C,B>, OrderedLayoutConfigurator<B>, OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator, VerticalLayoutBuilder

      public interface ComponentContainerConfigurator<B extends ComponentContainerConfigurator<B>>
      extends ComponentConfigurator<B>

  Interface to configure a `ComponentContainer`.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `add(com.vaadin.ui.Component... components)` Adds the components in the given order to the component container.
    `B` | `withComponentAttachListener(com.vaadin.ui.HasComponents.ComponentAttachListener listener)` Add a listener to be notified when a component is attached to container
    `B` | `withComponentDetachListener(com.vaadin.ui.HasComponents.ComponentDetachListener listener)` Add a listener to be notified when a component is detached from container

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### add

          B add(com.vaadin.ui.Component... components)

      Adds the components in the given order to the component container.
      Parameters:
        `components` - Components to add
      Returns:
        this

    - #### withComponentAttachListener

          B withComponentAttachListener(com.vaadin.ui.HasComponents.ComponentAttachListener listener)

      Add a listener to be notified when a component is attached to container
      Parameters:
        `listener` - Listener to add
      Returns:
        this

    - #### withComponentDetachListener

          B withComponentDetachListener(com.vaadin.ui.HasComponents.ComponentDetachListener listener)

      Add a listener to be notified when a component is detached from container
      Parameters:
        `listener` - Listener to add
      Returns:
        this

Copyright © 2017 The Holon Platform. All rights reserved.